function [R] = RotMat(Omega,Fi,Kapa)

%Vypocet matice rotace z uhlu rotace okolo os x, y, z, v tomto poradi

r11 = cos(Fi).*cos(Kapa);
r12 = -cos(Fi).*sin(Kapa);
r13 = sin(Fi);
r21 = cos(Omega).*sin(Kapa)+sin(Omega).*sin(Fi).*cos(Kapa);
r22 = cos(Omega).*cos(Kapa)-sin(Omega).*sin(Fi).*sin(Kapa);
r23 = -sin(Omega).*cos(Fi);
r31 = sin(Omega).*sin(Kapa)-cos(Omega).*sin(Fi).*cos(Kapa);
r32 = sin(Omega).*cos(Kapa)+cos(Omega).*sin(Fi).*sin(Kapa);
r33 = cos(Omega).*cos(Fi);

R = [r11,r12,r13;r21,r22,r23;r31,r32,r33];

end

